import request from '@/utils/request'

// 查询管线清单列表
export function listPipe(query) {
  return request({
    url: '/cui/pipe/list',
    method: 'get',
    params: query
  })
}
// 查询管线清单列表
export function riskData(query) {
  return request({
    url: '/cui/pipe/riskData',
    method: 'get',
    params: query
  })
}
// 查询管线清单列表
export function statusData(query) {
  return request({
    url: '/cui/pipe/statusData',
    method: 'get',
    params: query
  })
}
// 查询管线清单详细
export function getPipe(id) {
  return request({
    url: '/cui/pipe/' + id,
    method: 'get'
  })
}

// 新增管线清单
export function addPipe(data) {
  return request({
    url: '/cui/pipe',
    method: 'post',
    data: data
  })
}

// 修改管线清单
export function updatePipe(data) {
  return request({
    url: '/cui/pipe',
    method: 'put',
    data: data
  })
}

// 删除管线清单
export function delPipe(id) {
  return request({
    url: '/cui/pipe/' + id,
    method: 'delete'
  })
}

// 导出管线清单
export function exportPipe(query) {
  return request({
    url: '/cui/pipe/export',
    method: 'get',
    params: query
  })
}
